Skip to content

List and search tenants

Request to list tenants:

GET /api/v2/tenants.json

Example of response:

{
    "tenants": [{
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Acme",
        ...
    },{
        "tenant_id": "34c7f1f6-9201-11e5-a739-e03f497dbdff",
        "name": "Flexus",
        ...
    }],
    "total": 2,
    "next_url": null
}

Each item is a complete tenant object. See Collections for paging.

Search tenants

Parameter Description
search_term

Search by tenant name. Partial match, case insensitive.

GET /api/v2/tenants.json?search_term=acme

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of tenants is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view tenants